aboutsummaryrefslogtreecommitdiff
path: root/.github/workflows/mac/before_install.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/mac/before_install.sh')
-rwxr-xr-x.github/workflows/mac/before_install.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.github/workflows/mac/before_install.sh b/.github/workflows/mac/before_install.sh
new file mode 100755
index 00000000..217039fe
--- /dev/null
+++ b/.github/workflows/mac/before_install.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+
+conda update -n base -c defaults conda
+conda install compilers -y
+
+conda config --set channel_priority strict
+conda install --yes --quiet python=3.8 autoconf automake libtool ccache -y
+conda install --yes --quiet proj=7.1.1=h45baca5_3 --only-deps -y
+
+./travis/before_install_pip.sh